
mftrans_w = function()
return {
	straight_vertical_single =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-vertical-single.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	straight_vertical =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-vertical-single.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	straight_vertical_window =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-vertical-window.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	straight_horizontal_single =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-horizontal-single.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},	
	straight_horizontal_window =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-horizontal-window.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	straight_horizontal =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-straight-horizontal.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},	
	corner_up_right =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-corner-up-right.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	corner_up_left =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-corner-up-left.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	corner_down_right =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-corner-down-right.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	corner_down_left =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-corner-down-left.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	t_up =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-t-up.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	t_down =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-t-down.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	t_right =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-t-right.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	t_left =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-t-left.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	cross =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-cross.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	ending_up =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-ending-up.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	ending_down =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-ending-down.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	ending_right =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-ending-right.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	ending_left =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/pipe-ending-left.png",
		priority = "extra-high",
		width = 40,
		height = 40
	},
	horizontal_window_background =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/clear.png",
		priority = "extra-high",
		width = 32,
		height = 32
	},
	vertical_window_background =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/clear.png",
		priority = "extra-high",
		width = 32,
		height = 32
	},
	fluid_background =
	{
		filename = "__yi_engines__/graphics/entity/shaft-pipe/clear.png",
		priority = "extra-high",
		width = 32,
		height = 20
	},
	low_temperature_flow =
	{
		filename = "__base__/graphics/entity/pipe/fluid-flow.png",
		priority = "extra-high",
		width = 128,
		height = 18
	},
	middle_temperature_flow =
	{
		filename = "__base__/graphics/entity/pipe/fluid-flow.png",
		priority = "extra-high",
		width = 128,
		height = 18
	},
	high_temperature_flow =
	{
		filename = "__base__/graphics/entity/pipe/fluid-flow.png",
		priority = "extra-high",
		width = 128,
		height = 18
	}
}
end

data:extend(
{
	{
		type = "pipe",
		name = "y-mftrans-shaft",
		icon = "__yi_engines__/graphics/entity/shaft-pipe/shaft-icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-mftrans-shaft"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.3, -0.3}, {0.3, 0.3}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fluid_box =
		{
			base_area = 0.3,
			pipe_connections =
			{				
				{ position = {0, -1} },
				{ position = {1, 0} },
				{ position = {0, 1} },
				{ position = {-1, 0} }
			},
		},
		pictures = mftrans_w(),
		horizontal_window_bounding_box = {{-0.25, -0.25}, {0.25, 0.15625}},
		vertical_window_bounding_box = {{-0.28125, -0.40625}, {0.03125, 0.125}}
	},
	
	{
		type = "assembling-machine",
		name = "y-gearbox-power",
		icon = "__yi_engines__/graphics/entity/gearbox-icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-gearbox-power"},
		max_health = 150,
		corpse = "medium-remnants",
		fluid_boxes =
		{
			{
				production_type = "output",
				base_area = 1,
				base_level = 1,
				pipe_connections = {
					{type="output", position = {0, 2}},										
				}
			},										
			{
				production_type = "input",
				base_area = 1,
				base_level = -1,
				pipe_connections = {
					{type="input", position = {0, -2}},										
				}
			},							
			{
				production_type = "input",
				base_area = 1,
				base_level = -1,
				pipe_connections = {
					{type="input", position = { 2, 0}},										
					{type="input", position = {-2, 0}},										
				}
			},								
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "assembling-machine",
		picture =
		{
			filename = "__yi_engines__/graphics/entity/gearbox.png",			
			width = 96,
			height = 96,
			shift = {0.0, 0.0}
		},		
		animation =
		{
			filename = "__yi_engines__/graphics/entity/gearbox.png",			
			width = 96,
			height = 96,
			shift = {0.0, 0.0},
			frame_count = 1,
			line_length = 1,	
			animation_speed = 1.5,	
		},		
		crafting_categories = {"yrcat-mf2"},
		crafting_speed = 1.0,
		
		energy_source = {		
			type = "electric",
			usage_priority = "primary-input",
			emissions = 0.00025, 
		},
		energy_usage = "500W",						
		ingredient_count = 1,
		order="a",
		subgroup = "ys-test",
	},				
	
	
})

